## mtasks 0.2.0-1

=== debian/changelog ===
mtasks (0.2.0-1) stable; urgency=low

  * no changelog

 -- Benoît HERVIER <khertan@khertan.net>  Tue, 04 Nov 2008 00:14:05 +0000
