## mtasks 0.2.1-1

=== debian/changelog ===
mtasks (0.2.1-1) stable; urgency=low

  * no changelog

 -- Benoît HERVIER <khertan@khertan.net>  Tue, 04 Nov 2008 00:25:25 +0000
