## mtasks 0.2.2-1

=== debian/changelog ===
mtasks (0.2.2-1) stable; urgency=low

  * no changelog

 -- Benoît HERVIER <khertan@khertan.net>  Tue, 04 Nov 2008 19:08:51 +0000
