=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mtasks" install
	mkdir -p "$(CURDIR)/debian/mtasks"

#	mkdir -p "$(CURDIR)/debian/mtasks/usr/share/applications/hildon/"
	cp -a "mtasks.desktop" "$(CURDIR)/debian/mtasks/usr/share/applications/hildon/mtasks.desktop"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/bin/"
	cp -a "mtasks.launch" "$(CURDIR)/debian/mtasks/usr/bin/mtasks.launch"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/share/pixmaps/"
	cp -a "mtasks.png" "$(CURDIR)/debian/mtasks/usr/share/pixmaps/mtasks.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/share/pixmaps/"
	cp -a "mtasks26.png" "$(CURDIR)/debian/mtasks/usr/share/pixmaps/mtasks26.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/share/dbus-1/services/"
	cp -a "mtasks.service" "$(CURDIR)/debian/mtasks/usr/share/dbus-1/services/mtasks.service"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/"
	cp -a "mtasks.py" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/mtasks.py"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/"
	cp -a "mtasks_ui.py" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/mtasks_ui.py"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/"
	cp -a "mtasks_ui.pyo" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/mtasks_ui.pyo"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/accept.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/accept.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/add.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/add.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/alarm.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/alarm.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/back.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/back.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/calendar_date.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/calendar_date.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/calendar_empty.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/calendar_empty.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/clock.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/clock.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/favorite.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/favorite.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/help.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/help.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/info.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/info.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/month.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/month.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/mtasks.glade" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/mtasks.glade"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/mtasks.glade" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/mtasks.glade"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/mtasks.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/mtasks.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/next.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/next.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/people.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/people.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/remove.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/remove.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/repeat.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/repeat.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/search.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/search.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/today.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/today.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/warning.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/warning.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui"
	cp -a "ui/week.png" "$(CURDIR)/debian/mtasks/usr/lib/mtasks/ui/week.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/share/icons/hicolor/48x48/apps/"
	cp -a "mtasks.png" "$(CURDIR)/debian/mtasks/usr/share/icons/hicolor/48x48/apps/mtasks.png"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/python2.5/site-packages/"
	cp -a "mtasks_framework.py" "$(CURDIR)/debian/mtasks/usr/lib/python2.5/site-packages/mtasks_framework.py"
	mkdir -p "$(CURDIR)/debian/mtasks/usr/lib/python2.5/site-packages/"
	cp -a "mtasks_framework.pyo" "$(CURDIR)/debian/mtasks/usr/lib/python2.5/site-packages/mtasks_framework.pyo"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
